<?php 
/**
* @version		$Id: default.html.php 2720 2025-08-07 17:00:14Z IOS $
* @package		Elxis
* @subpackage	Component Wrapper
* @copyright	Copyright (c) 2006-2025 Elxis CMS (https://www.elxis.org). All rights reserved.
* @license		Elxis Public License ( https://www.elxis.org/elxis-public-license.html )
* @author		Elxis Team ( https://www.elxis.org )
* @description 	Elxis CMS is free software. Read the license for copyright notices and details
*/

defined('_ELXIS_') or die ('Direct access to this location is not allowed');


class wrapperView {


	public function __construct() {
	}


	/************************************/
	/* SHOW IFRAME WITH WRAPPED CONTENT */
	/************************************/
	public function showWrapper($row, $options) {
		$css = '#'.$options['frameid'].' { margin:0; padding:0; overflow:visible; width:100%; }';
		eFactory::getDocument()->addStyle($css);

		$class = ($row->popup > 0) ? 'elx5_zero' : 'elx5_dspace';
		echo '<div class="'.$class.'">'."\n";
		echo '<iframe id="'.$options['frameid'].'" name="elxiswrap" src="'.$row->link.'" scrolling="'.$options['scrolling'].'" marginwidth="0" marginheight="0" frameborder="0" width="100%" height="'.$options['height'].'">'."\n";
		echo 'Your browser does not support iframes!'."\n";
		echo "</iframe>\n";
		echo "</div>\n";
	}

}

?>